Bug 63684 - Larger print jobs hang print queue (ljet4?)
Larger print jobs hang print queue (ljet4?)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
Brock Organ
http://www.linuxprinting.org/newsport...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-17 10:03 EDT by kop
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 15:48:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of 'lpq' with a stuck print job (451 bytes, text/plain)
2002-06-20 10:43 EDT, Laurence Tyler
no flags Details
Output of 'lsof' while print job hung. Irrelevant processes edited out. (18.16 KB, text/plain)
2002-06-20 10:44 EDT, Laurence Tyler
no flags Details
Process listing with stuck job. Maximum line length. (4.96 KB, text/plain)
2002-06-20 10:45 EDT, Laurence Tyler
no flags Details
Postscript print job that (usually) causes problems. (Was 'zz.ps') (44.92 KB, application/postscript)
2002-06-20 10:49 EDT, Laurence Tyler
no flags Details
Postscript file that causes printer to hang (436.90 KB, application/postscript)
2002-06-20 11:42 EDT, kop
no flags Details
/usr/share/printconf/util/jetdirectprint (509 bytes, text/plain)
2002-07-10 10:59 EDT, Tim Waugh
no flags Details

  None (edit)
Description kop 2002-04-17 10:03:31 EDT
Description of Problem:

Printing larger print jobs hangs the print queue.  FWIW, I've been
hanging at around 8 pages of openoffice spreadsheet output.
The problem may be kernel related (see url's below) or may
simply be related to the ljet4 printer driver.

FYI,  I've installed devfsd-1.3.18-1 and made a few other
changes noted in the urls above.  But I believe I had
the problem before installing devfsd.  Another person
with the problem makes no mention of any changes, seems
to be running stock RH 7.2.

See bugzilla url field and:
http://www.linuxprinting.org/newsportal/article.php3?id=1757&group=linuxprinting.general
http://www.linuxprinting.org/newsportal/article.php3?id=1760&group=linuxprinting.general
http://www.linuxprinting.org/newsportal/article.php3?id=1629&group=linuxprinting.general
http://www.linuxprinting.org/newsportal/article.php3?id=1661&group=linuxprinting.general

Version-Release number of selected component (if applicable):
LPRng-3.7.4-28

How Reproducible:
Random, but will happen if you print a 100 page document.
Comment 1 Tim Waugh 2002-04-17 10:31:52 EDT
One of the messages in that thread suggested editing 
/usr/share/printconf/util/mf_wrapper and changing 
 
  /dev/fd/3 
 
to 
 
  '|cat >&3' 
 
in the call to ghostscript.  Could you please try that?  My guess is that this 
change will have no effect, but I would like to be able to rule it out so we 
can look at other things.  Thanks.
Comment 2 Tim Waugh 2002-04-17 12:38:49 EDT
Sorry, I mean /usr/bin/foomatic-gswrapper.  There is a line: 
 
          $_ = '-sOutputFile=/dev/fd/3';        # quoted properly below... 
 
Please try changing it to: 
 
          $_ = "-sOutputFile='|cat >&3'";        # quoted properly below... 
 
(note the single-quotes versus double-quotes)
Comment 3 kop 2002-04-17 13:50:46 EDT
That keeps my ps document from printing.  /var/spool/lpd/lp/status.lp says:
IF filter 'mf_wrapper' filter msg - 'foomatic-gswrapper: gs '-dBATCH' 
'-dSAFER' '-dNOPAUSE' '-sDEVICE=ljet4' '-sOutputFile=\'|cat >&3\'' '-' 3>&1 
1>&2' at 2002-04-17-12:20:30.728 ## A=<NULL> number=498 process=21547
IF filter 'mf_wrapper' filter msg - 'sh: -c: line 1: unexpected EOF while 
looking for matching `''' at 2002-04-17-12:20:30.731 ## A=<NULL> number=498 
process=21547


but


          $_ = '-sOutputFile="|cat >&3"';

gets no errors.  But nothing prints, tho /var/spool/lpd/lp/status.lp claims
it prints.

Finally,

          $_ = '-sOutputFile=|cat >&3';

prints.

Ok.  I've tried printing the grub manual (version .90, via 'make dvi' and 
'dvips') twice.
Printing hangs on page 7 both times.

Here it is hanging:

[root@mofo docs]# lpq
Printer: lp@mofo
 Queue: 1 printable job
 Server: pid 21721 active
 Unspooler: pid 21722 active
 Status: IF filter 'mf_wrapper' filter msg - 'Loading NimbusSanL-Regu font 
from /usr/share/fonts/default/Type1/n019003l.pfb... 2680988 1269461 1642520 
335588 0 done.' at 12:39:02.838
 Rank   Owner/ID                  Class Job Files                 Size Time
1      root@mofo+720                A   720 grub.ps             433521 12:39:02


Here's a ps I haven't filtered just so I don't delete anything.
The printer is hanging at this point.


[root@mofo docs]# ps axwww
  PID TTY      STAT   TIME COMMAND
    1 ?        S      0:04 init [5]      2 ?        SW     0:01 [keventd]
    3 ?        SWN    0:00 [ksoftirqd_CPU0]
    4 ?        SWN    0:00 [ksoftirqd_CPU1]
    5 ?        SW     2:42 [kswapd]
    6 ?        SW     0:00 [bdflush]
    7 ?        SW     0:01 [kupdated]
    9 ?        SW     0:00 [scsi_eh_0]
   10 ?        SW<    0:00 [mdrecoveryd]
   11 ?        SW     0:09 [kjournald]
   16 ?        S      0:00 /sbin/devfsd /dev
  122 ?        SW     0:00 [kjournald]
  123 ?        SW     0:02 [kjournald]
  124 ?        SW     0:03 [kjournald]
  125 ?        SW     0:08 [kjournald]
  722 ?        S      0:11 syslogd -m 0
  727 ?        S      0:04 klogd -2
  747 ?        S      0:00 portmap
  775 ?        S      0:00 rpc.statd
  941 ?        S      0:00 named -u named
  943 ?        S      0:00 named -u named
  944 ?        S      0:03 named -u named
  945 ?        S      0:03 named -u named
  946 ?        S      0:00 named -u named
  947 ?        S      0:01 named -u named
  967 ?        S      0:00 /usr/sbin/sshd
 1000 ?        S      0:00 xinetd -stayalive -reuse -pidfile 
/var/run/xinetd.pid 1093 ?        S      0:05 /usr/libexec/postfix/master
 1098 ?        S      0:05 qmgr -l -t fifo -u -c
 1099 ?        S      0:00 tlsmgr -l -t fifo -u -c
 1114 ?        S      0:00 gpm -t ps/2 -m /dev/misc/psaux
 1134 ?        S      0:00 crond
 1204 ?        S      1:15 xfs -droppriv -daemon
 1240 ?        S      0:00 /usr/sbin/atd
 1263 ?        SW     0:00 [scsi_eh_1]
 1265 vc/1     S      0:00 /sbin/mingetty tty1
 1266 vc/2     S      0:00 /sbin/mingetty tty2
 1267 vc/3     S      0:00 /sbin/mingetty tty3
 1268 vc/4     S      0:00 /sbin/mingetty tty4
 1269 vc/5     S      0:00 /sbin/mingetty tty5
 1270 vc/6     S      0:00 /sbin/mingetty tty6
 1272 ?        S      0:00 /usr/bin/gdm -nodaemon
 1280 ?        S      0:00 /usr/bin/gdm -nodaemon
 1281 ?        R     83:35 /etc/X11/X :0 +xinerama -auth /var/gdm/:0.Xauth
 1310 ?        S      0:00 gnome-session
 1454 ?        S      0:19 gnome-smproxy --sm-config-prefix 
/.gnome-smproxy-0sUQKg/ --sm-client-id 1140017881000096809903900000190050000
 1456 ?        S     13:11 magicdev --sm-client-id 
1140017881000096655901600000007470004
 1474 ?        S      1:37 sawfish --sm-client-id 
117f000001000101623017000000013660014 --sm-prefix a081p1jiy3
 1481 ?        S      0:00 gnome-name-service
 1485 ?        S      0:23 nautilus --sm-client-id default8 --no-default-window
 1487 ?        S     22:13 panel --sm-config-prefix /panel.d/Session-CsXyWv/ 
--sm-client-id 1140017881000096655901600000007470010
 1489 ?        S      0:00 gnomecc-single-shell --sm-client-id 
117f000001000101623014600000013660012
 1491 ?        S      0:05 gnome-terminal --sm-client-id 
117f000001000101623007800000013660009
 1494 ?        S      0:00 oafd --ac-activate --ior-output-fd=10
 1495 ?        S      0:00 gnome-pty-helper
 1496 pts/0    S      0:00 bash
 1536 ?        S      0:00 gconfd-1 --oaf-activate-iid=OAFIID:gconfd:19991118 
--oaf-ior-fd=10
 1541 ?        S      0:00 nautilus --sm-client-id default8 --no-default-window
 1542 ?        S      0:00 nautilus --sm-client-id default8 --no-default-window
 1543 ?        S      0:00 nautilus --sm-client-id default8 --no-default-window
 1545 ?        S      2:14 deskguide_applet --activate-goad-server 
deskguide_applet --goad-fd 13
 1547 ?        S      0:58 tasklist_applet --activate-goad-server 
tasklist_applet --goad-fd 13
 1550 ?        SN     0:23 cpumemusage_applet --activate-goad-server 
cpumemusage_applet --goad-fd 13
 1552 ?        S      0:14 diskusage_applet --activate-goad-server 
diskusage_applet --goad-fd 13
 1554 ?        S      1:13 deskguide_applet --activate-goad-server 
deskguide_applet --goad-fd 13
 1556 ?        S      0:54 screenshooter_applet --activate-goad-server 
screenshooter_applet --goad-fd 13
 1558 ?        S      0:16 jbc_applet --activate-goad-server jbc_applet 
--goad-fd 13
 1561 ?        S      0:00 nautilus --sm-client-id default8 --no-default-window
 1562 ?        S      0:00 nautilus --sm-client-id default8 --no-default-window
 1690 ?        S      0:06 rp3
 1783 pts/0    S      0:00 su - kop
 1786 pts/0    S      0:00 -bash
13400 ?        SN     0:00 oafd --ac-activate --ior-output-fd=7
13416 ?        SN     0:00 gconfd-1 --oaf-activate-iid=OAFIID:gconfd:19991118 
--oaf-ior-fd=8
21171 ?        R      0:05 gnome-terminal
21172 ?        S      0:00 gnome-pty-helper
21173 pts/1    S      0:00 bash
21401 ?        S      0:02 gnome-terminal
21402 ?        S      0:00 gnome-pty-helper
21403 pts/2    S      0:00 bash
26384 ?        S      0:00 su --command= export DISPLAY=0:0 ; nohup galeon - 
kop26387 ?        S      0:00 -bash -c  export DISPLAY=0:0 ; nohup galeon
26433 ?        SN    22:06 /usr/bin/galeon-bin
26444 ?        SN     0:00 /usr/bin/galeon-bin
26445 ?        SN     0:02 /usr/bin/galeon-bin
26446 ?        SN     0:00 /usr/bin/galeon-bin
26447 ?        SN     0:09 /usr/bin/galeon-bin
 5957 ?        S      0:00 gnome-terminal
 5958 ?        S      0:00 gnome-pty-helper
 5959 pts/3    S      0:00 bash
  708 ?        ZN     0:15 [xpdf <defunct>]
 6196 pts/2    S      0:00 su - kop
 6199 pts/2    S      0:00 -bash
 8813 ?        S      0:00 lpd Waiting   8893 ?        S      0:02 
gnome-terminal
 8894 ?        S      0:00 gnome-pty-helper
 8895 pts/5    S      0:00 bash
 9204 ?        S      0:00 gnome-terminal
 9205 ?        S      0:00 gnome-pty-helper
 9206 pts/4    S      0:00 bash
 9240 pts/4    S      0:00 su - kop
 9243 pts/4    S      0:00 -bash
 9715 ?        S      0:00 su --command= export DISPLAY=0:0 ; nohup balsa - kop
 9718 ?        S      0:00 -bash -c  export DISPLAY=0:0 ; nohup balsa
 9764 ?        SN     0:06 balsa
10095 ?        S      0:00 /sbin/mgetty ttyS1
13174 ?        S      0:00 /sbin/ppp-watch ppp3 ifcfg-ppp3
13176 ttyS1    S      0:00 pppd -detach lock modem crtscts asyncmap 00000000 
defaultroute user Pkop remotename ppp3 /dev/ttyS1 115200 ipparam ppp3 linkname 
ppp3 call ppp3 noauth
13296 ?        S      0:00 fetchmail
19057 ?        S      0:01 emacs
19094 pts/0    T      0:00 man magicfilter
19097 pts/0    T      0:00 sh -c (cd /usr/share/man && (echo ".pl 1100i"; 
/usr/bin/gunzip -c '/usr/share/man/man8/magicfilter.8.gz'; echo; echo ".pl 
\n(nlu+10") | /usr/bin/gtbl | /usr/bin/nroff -mandoc | /usr/bin/less -isr)
19098 pts/0    T      0:00 sh -c (cd /usr/share/man && (echo ".pl 1100i"; 
/usr/bin/gunzip -c '/usr/share/man/man8/magicfilter.8.gz'; echo; echo ".pl 
\n(nlu+10") | /usr/bin/gtbl | /usr/bin/nroff -mandoc | /usr/bin/less -isr)
19103 pts/0    T      0:00 /usr/bin/less -isr
19162 ?        S      0:00 pickup -l -t fifo -c
19245 ?        SN     0:00 /usr/bin/galeon-bin
21721 ?        S      0:00 lpd (Server) 'lp'
21722 ?        S      0:00 lpd (Worker - Print) 'lp'
21723 ?        S      0:00 /bin/bash /usr/share/printconf/util/mf_wrapper 
-Aroot@mofo+720 -CA -D2002-04-17-12:39:02.226 -Ff -Hmofo.meme.com -Jgrub.ps 
-Ngrub.ps -Plp -Qlp -a/var/spool/lpd/lp/lp.acct -b433521 -d/var/spool/lpd/lp 
-edfA720mofo.meme.com -fgrub.ps -hmofo.meme.com -j720 -kcfA720mofo.meme.com 
-l66 -nroot -sstatus -t2002-04-17-12:39:02.000 -w80 -x0 -y0 
/var/spool/lpd/lp/lp.acct
21733 ?        S      0:00 /bin/bash 
/usr/share/printconf/util/mf_postscript_wrapper --mfomatic ljet4-62816.foo
21734 ?        S      0:00 /usr/bin/perl /usr/sbin/lpdomatic --lprng 
ljet4-62816.foo
21735 ?        S      0:00 /usr/bin/perl /usr/sbin/lpdomatic --lprng 
ljet4-62816.foo
21736 ?        S      0:10 /usr/bin/perl /usr/sbin/lpdomatic --lprng 
ljet4-62816.foo
21737 ?        S      0:00 sh -c foomatic-gswrapper -q -dBATCH -dSAFER 
-dNOPAUSE -sDEVICE=ljet4 -sOutputFile=- - | perl -e "while (\$line = <>) { my 
\$b = \"\"; \$match |= ( \$line =~ s/\x1b&l\d+A/\$&\$b/ ); \$line =~ 
s/\x1b&l0H/\$b/g; print \$line }"
21738 ?        S      0:00 sh -c gs '-dBATCH' '-dSAFER' '-dNOPAUSE' 
'-sDEVICE=ljet4' '-sOutputFile=|cat >&3' '-' 3>&1 1>&2
21739 ?        S      0:00 perl -e while ($line = <>) { my $b = ""; $match |= 
( $line =~ s/\x1b&l\d+A/$&$b/ ); $line =~ s/\x1b&l0H/$b/g; print $line }
21740 ?        S      0:02 gs -dBATCH -dSAFER -dNOPAUSE -sDEVICE=ljet4 
-sOutputFile=|cat >&3 -
21741 ?        S      0:00 sh -c cat >&3
21742 ?        S      0:00 cat
21763 ?        S      0:00 smtpd -n smtp -t inet -u -c
21764 ?        S      0:00 cleanup -t unix -u -c
21765 ?        S      0:00 trivial-rewrite -n rewrite -t unix -u -c
21766 ?        S      0:00 local -t unix
21779 pts/1    R      0:00 ps axwww


Here's the /var/spool/lpd/lp/status.lp:

subserver pid 21722 starting at 2002-04-17-12:39:02.234 ## A=root@mofo+720 
number=720 process=21722
accounting at start at 2002-04-17-12:39:02.234 ## A=root@mofo+720 number=720 
process=21722
opening device '/dev/lp0' at 2002-04-17-12:39:02.234 ## A=root@mofo+720 
number=720 process=21722
printing job 'root@mofo+720' at 2002-04-17-12:39:02.234 ## A=root@mofo+720 
number=720 process=21722
processing 'dfA720mofo.meme.com', size 433521, format 'f', IF filter 
'mf_wrapper' at 2002-04-17-12:39:02.234 ## A=root@mofo+720 number=720 
process=21722
IF filter 'mf_wrapper' filter msg - '--mfomatic ljet4-62816.foo' at 
2002-04-17-12:39:02.340 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - '--mfomatic' at 2002-04-17-12:39:02.341 ## 
A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - 'ljet4-62816.foo' at 
2002-04-17-12:39:02.341 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - 'ljet4-62816.foo' at 
2002-04-17-12:39:02.341 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - 'Case 3' at 2002-04-17-12:39:02.342 ## 
A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - '' at 2002-04-17-12:39:02.342 ## 
A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - '1' at 2002-04-17-12:39:02.342 ## 
A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - 'Lpdomatic backend version $Revision: 1.4 
$ running...' at 2002-04-17-12:39:02.394 ## A=root@mofo+720 number=720 
process=21722
IF filter 'mf_wrapper' filter msg - '/usr/sbin/lpdomatic: called with 
arguments: '--lprng','ljet4-62816.foo'' at 2002-04-17-12:39:02.394 ## 
A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - '/usr/sbin/lpdomatic: af=ljet4-62816.foo' 
at 2002-04-17-12:39:02.394 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - 'Seaerching job for option settings ...' 
at 2002-04-17-12:39:02.411 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - '/usr/sbin/lpdomatic: options: ''' at 
2002-04-17-12:39:02.420 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - 'prepending: <</PageSize[612 
792]/ImagingBBox null>>setpagedevice' at 2002-04-17-12:39:02.420 ## 
A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - 'prepending: <</HWResolution[600 
600]>>setpagedevice' at 2002-04-17-12:39:02.421 ## A=root@mofo+720 number=720 
process=21722IF filter 'mf_wrapper' filter msg - 'PJL: ^[%-12345X@PJL JOB 
NAME="LPDOMATIC"' at 2002-04-17-12:39:02.421 ## A=root@mofo+720 number=720 
process=21722
IF filter 'mf_wrapper' filter msg - '@PJL SET MANUALFEED=OFF' at 
2002-04-17-12:39:02.421 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - '@PJL SET MEDIATYPE=NORMAL' at 
2002-04-17-12:39:02.421 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - '@PJL SET PRINTQUALITY=NORMAL' at 
2002-04-17-12:39:02.421 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - '@PJL SET RET=MEDIUM' at 
2002-04-17-12:39:02.421 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - '@PJL SET DENSITY=3' at 
2002-04-17-12:39:02.422 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - '@PJL SET COPIES=10' at 
2002-04-17-12:39:02.422 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - '@PJL SET ECONOMODE=OFF' at 
2002-04-17-12:39:02.422 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - '<job data>' at 2002-04-17-12:39:02.422 ## 
A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - '^[%-12345X@PJL RESET' at 
2002-04-17-12:39:02.422 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - '@PJL EOJ' at 2002-04-17-12:39:02.422 ## 
A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - '/usr/sbin/lpdomatic: running: gs -q 
-dBATCH -dSAFER -dNOPAUSE -sDEVICE=ljet4 -sOutputFile=- - | perl -e "while 
(\$line = <>) { my \$b = \"\"; \$match |= ( \$line =~ s/\x1b&l\d+A/\$&\$b/ ); 
\$line =~ s/\x1b&l0H/\$b/g; print \$line }"' at 2002-04-17-12:39:02.422 ## 
A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - '/usr/sbin/lpdomatic: postscript job 
line1=>%!PS-Adobe-2.0' at 2002-04-17-12:39:02.422 ## A=root@mofo+720 
number=720 process=21722
IF filter 'mf_wrapper' filter msg - '<' at 2002-04-17-12:39:02.422 ## 
A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - '/usr/sbin/lpdomatic: prepended:' at 
2002-04-17-12:39:02.423 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - '<</PageSize[612 792]/ImagingBBox 
null>>setpagedevice' at 2002-04-17-12:39:02.423 ## A=root@mofo+720 number=720 
process=21722
IF filter 'mf_wrapper' filter msg - '<</HWResolution[600 600]>>setpagedevice' 
at 2002-04-17-12:39:02.423 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - 'gs  PID pid2=21736' at 
2002-04-17-12:39:02.425 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - 'foomatic-gswrapper: gs '-dBATCH' 
'-dSAFER' '-dNOPAUSE' '-sDEVICE=ljet4' '-sOutputFile=|cat >&3' '-' 3>&1 1>&2' 
at 2002-04-17-12:39:02.437 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - 'GNU Ghostscript 6.51 (2001-03-28)' at 
2002-04-17-12:39:02.457 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - 'Copyright (C) 2001 artofcode LLC, 
Benicia, CA.  All rights reserved.' at 2002-04-17-12:39:02.457 ## 
A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - 'This software comes with NO WARRANTY: see 
the file COPYING for details.' at 2002-04-17-12:39:02.458 ## A=root@mofo+720 
number=720 process=21722
IF filter 'mf_wrapper' filter msg - 'Loading NimbusRomNo9L-Regu font from 
/usr/share/fonts/default/Type1/n021003l.pfb... 2382980 1010438 1622424 328124 
0 done.' at 2002-04-17-12:39:02.767 ## A=root@mofo+720 number=720 process=21722
IF filter 'mf_wrapper' filter msg - 'Loading NimbusSanL-Regu font from 
/usr/share/fonts/default/Type1/n019003l.pfb... 2680988 1269461 1642520 335588 
0 done.' at 2002-04-17-12:39:02.838 ## A=root@mofo+720 number=720 process=21722

Comment 4 Tim Waugh 2002-04-19 10:45:19 EDT
Okay, so that rules out the /dev/fd/3 thing being a problem.  That's what I'd  
hoped.  Please edit the file and change it back the way it was (i.e.  
/dev/fd/3).  
  
When you have done that, please attempt a print job that you think will stall,  
and when it does stall find the process ID of the lpd processing the job (the 
'worker'), and do: 
  
strace -fp 21722 
  
(or whatever PID it is).  Let it go for a few seconds and then stop it with 
control-C.  I want to see if it's stuck in write() or somewhere  
else.  Also useful to interpret that output would be 'ls -l /proc/21722/fd' 
(again, substitute the real PID here). 
  
Using 'ps axf', find the
Comment 5 kop 2002-04-19 12:57:59 EDT
(Hope this is all you need. Your message seemed cut off.)

The strace produces almost nothing ...

[root@mofo docs]# strace -fp 2209
read(7,  <unfinished ...>

But see the ++++++ line below!
(strace -fp 2223 seems to 'unhang' the printer!?)

[root@mofo docs]# ls -l /proc/2209/fd
total 0
lr-x------    1 root     root           64 Apr 19 11:51 0 -> /dev/null
l-wx------    1 root     root           64 Apr 19 11:51 1 -> /dev/null
l-wx------    1 root     root           64 Apr 19 11:51 2 -> /var/spool/lpd/lp/log
l-wx------    1 root     root           64 Apr 19 11:51 3 -> pipe:[323074]
l-wx------    1 root     root           64 Apr 19 11:51 4 ->
/var/spool/lpd/lp/status.lp
l-wx------    1 root     root           64 Apr 19 11:51 5 -> /dev/printers/0
lr-x------    1 root     root           64 Apr 19 11:51 6 ->
/var/spool/lpd/lp/dfA207mofo.meme.com
lr-x------    1 root     root           64 Apr 19 11:51 7 -> pipe:[437124]
l-wx------    1 root     root           64 Apr 19 11:51 8 ->
/var/spool/lpd/lp/status.lp


FYI, ps axf:

 8813 ?        S      0:00 lpd Waiting  
 2208 ?        S      0:00  \_ lpd (Server) 'lp'
 2209 ?        S      0:00      \_ lpd (Worker - Print) 'lp'
 2210 ?        S      0:00          \_ /bin/bash /usr/share/printconf/util/mf_wr
2220 ?        S      0:00              \_ /bin/bash /usr/share/printconf/util/m
2221 ?        S      0:00                  \_ /usr/bin/perl /usr/sbin/lpdomatic
2222 ?        S      0:00                      \_ /usr/bin/perl /usr/sbin/lpdom
2223 ?        S      0:03                          \_ /usr/bin/perl /usr/sbin/l
2224 ?        S      0:00                          \_ sh -c foomatic-gswrapper 
2225 ?        S      0:00                              \_ sh -c gs '-dBATCH' '-
2227 ?        S      0:01                              |   \_ gs -dBATCH -dSAFE
2226 ?        S      0:00                              \_ perl -e while ($line 

[root@mofo docs]# ls -l /proc/2210/fd
total 0
lr-x------    1 lp       lp             64 Apr 19 11:56 0 ->
/var/spool/lpd/lp/dfA207mofo.meme.com
l-wx------    1 lp       lp             64 Apr 19 11:56 1 -> /dev/printers/0
l-wx------    1 lp       lp             64 Apr 19 11:56 2 -> pipe:[437124]
lr-x------    1 lp       lp             64 Apr 19 11:56 255 ->
/usr/share/printconf/util/mf_wrapper
[root@mofo docs]# strace -fp 2210
wait4(-1,  <unfinished ...>

[root@mofo docs]# strace -fp 2220
wait4(-1,  <unfinished ...>
[root@mofo docs]# strace -fp 2221
write(4, "b(,)25 b(b)s(eliev)m(e)g(that)h("..., 62 <unfinished ...>
[root@mofo docs]# ls -l /proc/2221/fd
total 0
lr-x------    1 lp       lp             64 Apr 19 12:01 0 ->
/var/spool/lpd/lp/dfA207mofo.meme.com
l-wx------    1 lp       lp             64 Apr 19 12:01 1 -> /dev/printers/0
l-wx------    1 lp       lp             64 Apr 19 12:01 2 -> pipe:[437124]
l-wx------    1 lp       lp             64 Apr 19 12:01 4 -> pipe:[437163]
[root@mofo docs]# strace -fp 2222
wait4(2224,  <unfinished ...>
[root@mofo docs]# strace -fp 2223
write(1, "b10W\202\0\314\0\4\0\0\37\377\376\33*b10W\202\0\314\0\4"..., 290) = 290
write(1, "\370\37\2?\7\340\36\177\33*b20W?Z\7\374\30\1\25\34\37\20"..., 33) =
33write(1, "\17\33*b24W?Z\3\376,\37\340,\3\3706\177\200?5\177\2003"..., 935) =
935write(1, "|!\17\200B\343\207\370\10\3!\0\374C\343\207\370a\17\300"..., 520) = 520
write(1, "\376\2~\2\177\2\374\5\200\1\36&~\340$\1\374\2\37\202?\0"..., 146) = 146
write(1, "\300\v\177\"\360\0\2\360!\37\300\10\7\3\370\2\354\3\377"..., 92) = 92
write(1, "\370\2?\2\376\2\376\7\16(?\0\t~\1\3\4\340+\17\300!\0\374"..., 196) = 196
write(1, "\300)\200\0!\37\300\16\300\v\37\3\376\2\370\1\0\2\200\3"..., 312) = 312
write(1, "\374\37\26~\37\t\3\35\377\2\177\n", 12) = 12
write(1, "\377\33*b57W\37[\177\4\377\2\17\1\376\37\v\7\4\370\6\0"..., 61) = 61
write(1, "\0\2\340\33*b63W\37\\\340\2\37\3\7!\377\200\37\27\177\1"..., 291) = 291
write(1, "\0\2\200\33*b51W\37H\1\3\3761\177\0\4\0\1\374\37\30\17"..., 287) =
287write(1, "\37\16\7\4p\36\376\2\343\7\340\5\360\32\376\v\340\21\7"..., 22) = 22
write(1, "\7\33*b56W\37I?\2\360\16\177!\7\360\4<?\r\1\374\"\17\340"..., 257) = 257
write(1, "\300\20\3\5\36\n", 6)         = 6
write(1, "\374\3\0\1~\2\16\10\0\22|2\7\340!\1\370(\300\1\r\1\3\177"..., 226) = 226
write(1, "\300\1\36\7\1\2\1\n", 8)      = 8
write(1, "\377\4\7\2\370!\3\300\7\7\33*b113W?Z\37\374\4\35\3\200"..., 32) = 32
write(1, "\300!\337\340\7\1\"\7\0(\37\200\1~\10\370\2\200\16\376"..., 28) = 28
read(4, "\237\377\203\377\377`\341\377\377\360\1~\1<\2?a\200\17"..., 4096) = 4096
write(1, "\377!\1\374\"\37\300\0018\5\340\1\36,\7~\10\360/\1\370"..., 1024) = 1024
write(1, "*b14W\202\0\202\0\373\0\6\0\0\370\0\0\17\360\33*b3M\33"..., 389) =
389write(1, "\7*\177\3\37\r?\37,\177\31\3\37\36\7\t\3\33*b21W?Z?\340"..., 28) = 28
write(1, "\3\n", 2)                     = 2
write(1, "~\37\16\37\37,?\31\1\37\36\3\t\1\33*b21W?Z\17\360\25\376"..., 232) = 232
write(1, "\376\36\3\r\37\37\20\37\37%\376\33*b70W\37Z\3(\177\300"..., 1024) = 1024
write(1, "\7\374\1\37\3\374!\37\200\1\200\1|\1\17B\3\360\1\242\200"..., 849) = 849
write(1, "\376\1\0\1\340\33*b52W?Y\1\370)\7\0=\7\0004\7\0.\0\376"..., 137) =
137write(1, "\370\7\0\6\300\4\377\t\177\t\370\1\340\r\360\10\340\5\370"..., 102)
= 102
write(1, "\203\340_\5\7\363\300V\3\377\300\22\376\n", 14) = 14
write(1, "\0)\17\377[\3\377\300\33*b43W\37[\300\5?\36?\37\"\374,"..., 56) = 56
write(1, "\376\33*b54W\37Z\37\37\22\3\4\374\t?N?\200\16\t\1\4\376"..., 51) = 51
write(1, "\377\n", 2)                   = 2
write(1, "\7\1\377\32\1!\377\300\33*b66W\37[\340?\37\7\377\37\5\1"..., 176) = 176
write(1, "?\1\374&\377\0\232\300\0\0\0\0\2\360\4\7\2\374i\0\0\0\0"..., 180) = 180
read(4, "\300_\4\7\207\370\37\0\376\n\0\n\177R\6\0\0\33*b44W\37"..., 4096) = 4096
write(1, "\200\377\37\7\340\30\0&?\200\37\2\3e\3\376\17\300\23\0"..., 180) =
180write(1, "\0\n", 2)                     = 2
write(1, "\177R\6\0\0\33*b44W\37I\177\2\370\0371\7\37\6\37?\n", 24) = 24
write(1, "\37\340\2\200\16\377\v\377&\3\374\t\374\17\17\t\7\7\377"..., 20) = 20
write(1, "\200\5\340\6?\4\16\f\200\n", 10) = 10
write(1, "\17\33*b56W\37I?\2\360? \0\376\"\7\360&\1\374\21\375\v"..., 214) =
214write(1, "?\3\360\5\200-\17\360$\1\376\1\3\4\0\17\3\5\1\17\3\v\3"..., 34) = 34
write(1, "\300\t\1)?\200(\37\300(x\37\26\1\6\300#\3\374\33*b90W\37"..., 110) = 110
write(1, "\17\3\300\10\200\33*b93W?J?\360\16\7&\3\370\1\1\17\17+"..., 337) =
337write(1, "\360\2\0&\7~(\7\340!\37\374%\3\360!\17\376!\0\376\2\300"..., 1024)
= 1024
write(1, "\0\2\0\0\377\374\0\3\0\6\0\377\33*b41W\211\0\3\0\0\1\374"..., 1005) = 1005
write(1, "\377#\37\0/\177\300\1\1\3\177&\7\370*\7\360\"\17\3408\1"..., 337) = 337
write(1, "\0\2\0:\37\360\2\0\2>&\0\377?\6\0\0\37\32\0\33*b28W\37"..., 199) =
199write(1, "\1\10\7\3\340\2\3\10\374\10\7\6\340\30\37\3\200\2\16\10"..., 38) = 38
write(1, "\370\4\37\37\t\17\33*b28W\37\252\3\27\17\37\20\1\32p\30"..., 540) = 540
read(4, "?\0?C\341\341\360E\307\300~c\37\200\37\200\242\37\200\37"..., 4096) = 4096
write(1, "\177!\17\374a\1\370\37\200a\1\370\37\200\7\0!?\3706\37"..., 708) =
708write(1, "\200\257\0\37\377\0\7\360\342?\0\7\340\0?\307\0 \17\300"..., 619) = 619
write(1, "\334!\7\360\1\37\"\374\0&\377\377\4\200\2~\1\0\2~\1\0\203"..., 175) = 175
write(1, "\330%\200\0\17~\1\376\2\376\1\376\2\376%\377\200\2\0\3"..., 26) = 26
write(1, "\370\3\17\2\374\33\360\4\1\3\374\2\330\t\340\3?\2\360\27"..., 270) = 270
write(1, "\360/\0\17$\0\0/\7\370\3\7\2\3604\177\300P\0\177\200\""..., 177) =
177write(1, "\0\t\377\10\1C\0\3\370\"\7\360\2\200\2\300(?\300\1\0\20"..., 46) = 46
write(1, "\177\4\177%\1\377\4\7\1\3704?\340\7\200)\37\360#\0\177"..., 736) =
736write(1, "\360\1\340$\203\200$\177\0?\r\7\360\37\3\203\177\30\7\374"..., 247)
= 247
write(1, "\37\16\36\22<\1\300\33*b61W\37I\177\2\370\17\340\5\34\'"..., 48) = 48
write(1, "\360\33\17\3\376\17\0006\1\377$\377\200\10\370\20\374\33"..., 86) =
86write(1, "?\6>&\1\376\r\7\2\0\16\3\7\340&\37\340\10\0\6\0\7\3\20"..., 97) = 97
write(1, "\200\2\1\'\177\200\4\16\17>\f\0\23\17\16>\16\177C\360\7"..., 301) = 301
write(1, "\340\2\370!\3\360\2\374!\3\360\2\374\17\37\23~\2\16\1~"..., 77) = 77
write(1, "\376\16\377\2\7\1\1\27~\"\37\200\2\200\2\340\33*b129W?"..., 223) =
223write(1, "\360\1\7\"\1\370!\1\370!\1\370!\1\370B\374\3\200j\17\377"..., 172)
= 172
read(4, "\377#\7\340\1\360!\7\340\1\360!\7\376\"?\370\3\340!\7\340"..., 4096) = 4096
write(1, "\370!\17\340!\0\374!\3\360!\0\374!\3\360\22\3740\37\300"..., 1024) = 1024
write(1, "\360F\37\377\203G?\377\0a\0\177\377\200L\360\377\374b\0"..., 87) = 87
write(1, "\16C\37\377\200\"\37\370\6\300c\1\377\377\340\6\340#\0"..., 290) =
290write(1, "\0\6\0\0\0\0\0\17\360\0|\370\0\2\177\200\177\354\0\5\0"..., 657) =
657write(1, "\7\22\376_\1\177\377\340\4\3!\360\7?\1\3\370?\35\3\370"..., 827) =
827write(1, "\177\5\200\1?\10\7%\37\360\2|\33*b38W\37[\3\37L\17#\177"..., 114) = 114
write(1, "\17\3\300!\17\370\2>\33*b10W?\340\1\376&\3\200\37I\340"..., 154) =
154write(1, "\200\33*b31W\37[\37?X\17\360\2\0L\34?\300?\f\3\376?\22"..., 235) =
235write(1, "\7\1\343&\1\377\4\0\6\0G\1\377\374c\37\200\37\340#\1\376"..., 500)
= 500
read(4, "\"\3\360\1~\4\36\1\1!\0?!\0\37\241\0\17\377\200\3\370\1"..., 4096) = 4096
write(1, "|\1?{\17\0\17\300C\201\340~C?\1\363/\377\340\f\37i\7\200"..., 658) = 658
write(1, "\3\4\1\2\0\3\177!\17\370\2\340\1\376$\1\377\2\300\1>\30"..., 446) = 446
write(1, "|\31?\2\340\30\270!\17\340\2\300\1\7\2\7\3\370\"\200\1"..., 42) = 42
write(1, "\177\3\7\f\260\3\300\1\37\4|\v\374\2\177\3\200!\17\340"..., 86) = 86
write(1, "<\2\376\2\376#\7\340\2\300\3\1\3\374\6\1\5\374\5\7\7\1"..., 326) =
326write(1, "\376)\17\340%\340\0\t~\17\300\5\370\1?\3\374B\360\0\0\t"..., 85) = 85
write(1, "8\4\177\32\17m\1\300\3\374\17\0\n", 13) = 13
write(1, "\37!\1\376\2\0\1\370=\7\0\v\0001\0\37\6\300$\1\374)\3\200"..., 243) = 243
write(1, "\360\20\300\3\0\7\300\1\0\33\340\7\360\33*b63W\37j?\2\200"..., 101) = 101
write(1, "\376\10\0174\377\340,\0\7\6\376\4\0\1\300\t\374\4\1\34"..., 122) =
122write(1, "\374\4\17\5\0*\37\200+\37\377\16\37\1\374\25\377\3\377"..., 22) = 22
write(1, "\376\1<\'\37\377&\1\3772\17\377\22?\4\300\"\37\377\1\7"..., 288) =
288write(1, "|+\177\200h\0\0\0\0\3\3\2\300\177\4\360\0\0\0\v\177\1p"..., 247) =
247write(1, "\374!\1\377$\17\370/\0\377$\207\0008\1\374\"\340p\3\17"..., 88) = 88
write(1, "\0006\1\374%\0\17\32\7?\f\34\7%\0\177;?\200\37\1\17\3<"..., 281) =
281write(1, "\0\32x\4\36\6\300$\177\0\37\34\3\v\343&\177\0&\7\360\'"..., 264) =
264write(1, "\300\3\340\3\177\2\37\37\2\177-p\1\6\3\37\10\177\n", 19) = 19
write(1, "\300\3\377\2>\7\360\4\360\31\340\6|\4\17&?\300$\7\3703"..., 219) =
219write(1, "\177\22\7\3~\4\377!\200\376\33*b125W\37U\0\3\34\34\340"..., 258) =
258write(1, "\177\17\374\33*b170W\37V\177\2x\"\340\34\1\177\1\1)?\200"..., 107)
= 107
write(1, "\37\5\177\1\1\10\360!\7\200\6\370\4?\3\376\6\300$\7\340"..., 415) = 415
read(4, "\1\374A\341\374\360A\300\3\300\203\7\377\377\377\377\1"..., 4096) = 4096
write(1, "\177A\16?\16!?\340!\37\360!\3\360!?\376%\0\376\"\37\300"..., 818) = 818
write(1, "p*\7\230\204\3\377\360\17\370H\37\377\203g\3\370\7\360"..., 257) =
257write(1, "\0\30\0\0\0\0\0\177\200\3\340\374\0\6\0\0\0\3\374\3\370"..., 369) = 369
write(1, ">?\223\3\360\33*b17W?\230\3\340\37\"\300\37\'0\37\26\370"..., 104) = 104
write(1, "x\v\340\33*b19W\37\231\370\37!\3\37(\340\37\n", 20) = 20
write(1, "\370\n", 2)                   = 2
write(1, "\3\37\205\300\2\3\33*b21W?j\1\300\37\16x\37\"\0\37\'\300"..., 153) = 153
write(1, "\36\177\3\1\377\377\360\3?\1\376?X\0\374\"?\0\33*b24W?"..., 40) = 40
write(1, "\3\v<\37\205?\2\374\33*b22W?i\37\370\37\17\3\37!0\37\'"..., 60) = 60
write(1, "p\177\3\0\0\0\0C\0\0\0\177Y\3\377\377\300\33*b19W?i\0\0"..., 71) = 71
write(1, "\200\33*b10W\37\232\0?\221\3\0)\0\0\33*b23Y\33*b4W?W\1"..., 481) =
481write(1, "\1\3~\2\375\2\177\33*b12W\37a\260\4?+\3\360\2?\3\200\33"..., 629) = 629
write(1, "\177?*\1\374/\17\340H\3\377\300\33*b77W\337a?\377\377\377"..., 241) = 241
write(1, "\1\16\1!\340\0#\7\376\37\1\340\22\7/\0?)\376\17\33*b50"..., 63) = 63
read(4, "\370A\17\300\374!\3\377!\177\340\33*b214W\37p|\1\36a\1"..., 4096) = 4096
write(1, "\0N\0\177\200\37\32\3\20\37(\1\374\33*b40W?f\3\374\37\2"..., 1024) = 1024
write(1, "\1\370\17\300C\374\7\340\1\377A\177\377\340c\7\377\377"..., 1024) = 1024
write(1, "\37\374!\7\360\1\1\"\1\370\1~\"\17\300\1\360\"?\300!\37"..., 140) = 140
write(1, "|%\37\230\2\314$\17\200!\7\300!\7\360\4\3\3\340\1\0\1<"..., 110) =
110write(1, "\177\2\374\4\300(\3\340!\1\360!\7\356\33*b182W\37j\376"..., 433) =
433write(1, "\374\4\37\2\177(?\200\2\374\4\0173\3\370\1\0\21\340\n", 20) = 20
write(1, "\1\2\360\7\300\1\1%\17\340\2\200!\177\0\1\374\5\34\3\200"..., 49) =
49write(1, "\300\v\1\4\340\"\200\0\4?\10\377&\3\370!\7\360*\37\300"..., 79) = 79
write(1, "\370-\7\360\5\370\4\37\17\200\30\300*\0\376\1\340\36<\5"..., 165) = 165
write(1, "?\2\0\4\17b\0\0\37\300\"?\200\1\374\2\376(\1\376\1\0\21"..., 40) = 40
write(1, "\3\3\0\2\0\4\0\t\300*\1\374\"\3\370\1\0\4?\n", 20) = 20
write(1, "\360-\0\0\5\360\4?\17\0\7\376\20\200K\177\203\300\22\177"..., 97) =
97write(1, "\17\4\3!\17\0\20\360\33*b65W\37e\16D\7\363\300\3\0?\10"..., 161) =
161write(1, "?\4\300\22?\177\0\17\340\3\200\r\1\4\376\1\377\n", 18) = 18
write(1, "\7\1\377\27\377\22\3\4\374\"\1\377\2\177:\17\377\10\177"..., 30) = 30
write(1, "\177\t\376\n", 4)             = 4
write(1, "\177\4\200\33*b77W\37j\1\1\0g\377\377\377\377\37\1\7!\377"..., 134) = 134
write(1, "\1\10\374\5\340$\3\200\5\3#\377\343\10\377\33*b87W?g\7"..., 362) =
362write(1, "\360\1\340S\0\0\0\33*b71W\37g\17\"\1\357\02687\3\376?\37"..., 138)
= 138
write(1, "\1\4\3707\3\370\37\7\7_\1\17\37\300\6\377\5\17B\34\17\360"..., 97) = 97
write(1, "?\37\2\17\22\36\1\340\6\376\2\7\3\340\"\0\0$\0\0\5x\3\374"..., 57) = 57
write(1, "\200\5\340\6?\5~\22\34\0338\1\300\16\16,\201\300\7\300"..., 28) = 28
write(1, "\370\0048$\1\300\7p&\17\360\1\360\0038\10\370\33*b72W?"..., 38) = 38
write(1, "\7?\1\17\340\"\177\0/\1\374?\3\377x\17\177\"\3\370\7\17"..., 90) = 90
write(1, "\37\3\340\3\7\00383\3\374\23\3400\177p\25?\t8\3\37\10\1"..., 158) = 158
write(1, "\17\2\1\4\3#x\7\3~.\7\370\3\1\17\3000?\340\17?\3\360!\37"..., 70) =
70write(1, "\3C?\200\37#\340p$\300\37\2\376\t\17\3\374\33*b117W\37"..., 118) =
118write(1, "?\3\300\17\200\t\300\1\37\"\17\340\1\3\"\200\0*\7\340!"..., 105) =
105write(1, "\360\17\300\24\360\10\3\n", 8) = 8
write(1, "~\2<\t\377\v\37%\7\300\1\177)\177\200\4>\5\360.\177\0)"..., 254) =
254write(1, "\200\1x\2\374!\7\360\2\177\2\340\1?\2\340\n", 17) = 17
read(4, "\2p\t\0353\17\300!?\0\3;\"\1\370!\7\377\16\376\'\1\337"..., 4096) = 4096
write(1, "\1\"\7\0\4~a\1\300\0\374!\3\360\f\360!\37\300#\7~\v\200"..., 1024) = 1024
write(1, "9W_p\17\377\300B\17\377\300C\177\376\0B\1\377\200h\0\177"..., 1024) = 1024
write(1, "2M\33*b40W\202\0\202\0\347\0\3\0\0\3\360\325\0\1\1\300"..., 72) = 72
write(1, "\0\0\0\1\377\340\0\0\0\17\377\33*b9W\202\0\202\0\267\0"..., 428) =
428write(1, "?9\1\360\1\0017\7\360!?\300\33*b47W\37T\340\17\1\3\177"..., 55) = 55
write(1, "\37\31\3\2\0007\17\340\1\177\33*b35W\37O\16\3\1?L\3\200"..., 231) = 231
write(1, "\17\31\0\r\7\33*b9W\37T~\37\377\30\177\3\16\33*b3W\37T"..., 58) = 58
write(1, "|4?\200\2\34\16\370\31\370\7\300\2\7\37\10\17\33*b3W\37"..., 49) = 49
write(1, "\374\37\7\1\31\1\10\340\37\v\37\33*b10W\37U\200?\377\27"..., 203) = 203
write(1, "\37\1\300S\37\377\200a\3\360\17\300a\37\200\37\340#?\377"..., 964) = 964
read(4, "?\17\17\341\0\7\340\0\374\0\17\363\0\203\241\0\177\216"..., 4096) = 4096
write(1, "\370\1\37c\341\340\17\300\33*b322W\37?\3ap\0\3748\1~\2"..., 533) =
533write(1, "\177\3\370!\7\340\2\370!\1\360\2\370!\1\360\t\0\2\376#"..., 211) =
211write(1, "?\3\360!\3\360!\1\360!\0\370!\1\360!\0\370\n", 19) = 19
write(1, "\177!\377\200\"?\340!\17\340\1\7C\300\3\370\4\177\5\37"..., 101) =
101write(1, "\375\2\177\7p!\37\370!\17\340\10\200\4\370!\17\340\v\340"..., 77) =
77write(1, "?\2\340\3\300!\7\360\2\340\1\17\2\360\16\200\20\17\3\360"..., 90) =
90write(1, "?\5\360\16\300\3\1\3\374\7\7\10\354\2\376\4\17\3\340\7"..., 56) = 56
write(1, "\37\2\370\3\200\4\17#\340\7\16?1\37\200!\1\370\2\354\33"..., 79) = 79
write(1, "\340?\7\3\370\1\0-?\200\2\374\'\37\300\1\0071\37\300%\37"..., 90) =
90write(1, "\374(\37\300%\300\0\n", 8)    = 8
write(1, "\7\17\0\t\300\2\340j\177\0\0\376\2\340\16\200\r\340#\7"..., 57) = 57
write(1, "\0\2\376\6\374&\17\340!\37\300j\177\0\0\376!\37\300\v?"..., 64) = 64
write(1, "8\25\7\t\360#\1\300\r?\t\300\'\0\340\10?\t8\4\177\37\0"..., 28) = 28
write(1, "?\'\7\0\r8!\7\0\33*b115W\37@\376\3\0\4\0\25\0000\1\360"..., 51) = 51
write(1, "\200\2\300\n", 4)             = 4
write(1, "\377\2\0\2\300\16\0\7\376\5\370#\0\0\5\360\2\370\10\360"..., 51) = 51
write(1, "\0\1\377%\1\376%\360\37\2\0\v\377\2\0\1\0,\177\0!\0\376"..., 174) = 174
write(1, "\376\21\177\n", 4)            = 4
write(1, "\370\20\177/\377\340\35\3\37\v\200\27\0\1\300$\0\377\1"..., 98) = 98
write(1, "\377\3\377\33*b89W\37J\37\25\177/?\340b\377\377\377\377"..., 155) = 155
write(1, "\37\3008?\25\37\340?\2?\360\33*b103W_I\3\374\0033\17\360"..., 240) = 240
write(1, "\17\340p?7\17\360\33*b54W?I\177\0003\1\3740\201\374\33"..., 356) =
356write(1, "\1\n", 2)                     = 2
write(1, "\7\n", 2)                     = 2
write(1, "\340\4\360\37!\370\n", 7)     = 7
write(1, "\17%\201\300\n", 5)           = 5
write(1, "\300\n", 2)                   = 2
write(1, "?\n", 2)                      = 2
write(1, "\340\5\300\f8\2\0\36\376K\3\371\300\32\377\37\4\300\33"..., 178) =
178write(1, "\177\"\3\201\33*b53W?W\1\3408\17\360!?\200\16\177\22\370"..., 97) =
97write(1, "\1Ox\3\370\37\7?\2\7\31\36\5\300\6\177\17\360\4\37\v?\n"..., 23) = 23
write(1, "\360\7\17\2|\37\4\7\37\6\374\1\7\3~\1\7\3~\n", 20) = 20
write(1, "\200\3\200$\7\370%\360\7\3\360\n", 12) = 12
write(1, "?\2\7\3\1\n", 6)              = 6
write(1, "\37\3\370\'\3\374\33*b105W\37W\17\32\370\1\37\3\200\v?"..., 97) = 97
write(1, "\300\2\37\3\300\2\360\1\7\3\340\4\340\16\1-\17\300!\3\360"..., 86) = 86
write(1, "~\2<\5\3402\3\360\1\1\6\200\3\3\t\3#\3\360\1\1\v~\25\0"..., 391) =
391write(1, "\370\2~\3\360!\37\300!\1\374\"\200\0\"\3\200\n", 18) = 18
read(4, " \1\370\1\360\5\177\1\374\1<a?\377\377\340\341\7\340\3"..., 4096) = 4096
write(1, "\7\2\34#\7~)\3\360!\17\300\33*b350W??\1\377\"\377\200a"..., 1024) = 1024
write(1, "\200C\17\377\300E\340\377\374B\0\377\300\201\3\377\360"..., 231) =
231write(1, "\0\0\0\3\374\0\0\0\0\1\376\374\0\16\0\300\37\340\0\0\0"..., 247) =
247write(1, "\0\0\30\0\17\370\0\0\0?\200\33*b3M\33*b10W\37T~\37\377"..., 289) =
289write(1, "\3760\17\340)\1\374?\27\3\370?\f\17\340?0\1\374?\33?\200"..., 50) =
50write(1, "\1770\7\377\n", 5)            = 5
write(1, "\377?\27\1\377?\f\7\377\0371\377?\33\37\377?<?\377/\3\377"..., 76) = 76
write(1, "\0030\0?\n", 5)               = 5
write(1, "\7\26|?\0\0\17?\f\0?\0371\7\37\33\0\37=\0010\0\37\33*b"..., 43) = 43
write(1, "\1\21\37\n", 4)               = 4
write(1, "\0035\1\374\37\1\7\37\r\37\0371\3\37\34\177-\377\200\37"..., 44) = 44
write(1, "\0\21\17\n", 4)               = 4
write(1, "\1\25\7\37\2\3\37\r\17\0371\1\37\34?\37=\177\20\7\33*b"..., 421) =
421write(1, "\17\370\3?\3\7%\177\200\21\1\10\177$\3\374+\37\340#\7\374"...,
1024) = 1024
write(1, "p\0\377E\36\0\374\v\17!\3\360\v~\1?\243\17\0~\7\200?c\367"..., 866) = 866
write(1, "\3\3\340!?0\2\230$\7\374!\1\374.\37\0!\17\200\10\370\2"..., 241) =
241write(1, "<\2\376\2\376#\7\340\2\300\3\1\3\374\6\1(\7\340\2~\7~\2"..., 103) = 103
read(4, "\377\10\17\2\16\10x!\1\374\2~B\370\1\200\1\177$\3\370\1"..., 4096) = 4096
write(1, "\1\t\340\5\374\5~\"\7\340#\37\200\4\7C\360\1\370\2?\24"..., 236) =
236write(1, "\17\3\177!\17\340\3\1\v?)\17\340\27\200\2\300.\1\374(\37"..., 55) =
55write(1, "\360\25\370\16\377\6\340\1\376\3\360\"\300\0\n", 15) = 15
write(1, "\7\30\200-\17\340\23\300\2\340\t\200\r\376\3\360\7\7D\200"..., 414) = 414
write(1, "?\37\2\300\v?\22\37,\3\374\5\377%\377\340\1\17=\377\200"..., 80) = 80
write(1, "\3\377I?\200\16\17?\4\300*\17\377\10\37\4\340\1\376\1<"..., 159) =
159write(1, "\3\377L\377\377\377?\22\1\377\33*b68W\37S\376\1\360\6\375"..., 139)
= 139
write(1, "\37\1\34g\300\0\0\0003?\300\20\177\1pb\300\0\0\0%\17\360"..., 61) =
61write(1, "\7\2\0&\177\200l\300\0\0\0?\21?\300\33*b54W\37?\7\6\370"..., 347) = 347
write(1, "\1\1\34&?\200\6\16#\1\300\30p\7\0343\37\300\33*b88W??\1"..., 57) = 57
write(1, "\37\10\37\4\2003\200\17\4\300\5\37\22\17,\7\370\5\177\4"..., 332) = 332
write(1, "\200\4\7\17\16\6\1\23\201I\1\300?\37\16\7\21\300\1\1\1"..., 23) = 23
write(1, "8\35\0\10\367\0068\22\34(\17\360\t\340\3|\4\0160\177p\10"..., 143) = 143
write(1, "\7\3~\4\377!\200\376\10\3!\37\300\v\377\37\1\17\t\37\7"..., 27) = 27
write(1, "x\4\7\3~\f\177\6\376\1\3\4\0\tx\7\37\n", 18) = 18
write(1, "<(\37\340\10\1\1|\7\0360?\340\6\360-\1\376%?\300\1~\3\340"..., 106) = 106
write(1, "\3\3p$\3\360\2\374\20\360\2\374!\1\370\2~\"\3\376\2\3\3"..., 66) = 66
write(1, "\1\5\300\37\0\3\3p\v\370\2\376\16?\"\17\300\'\1\370\2~"..., 1024) = 1024
write(1, "\377\17\377\377\200`\3\360\1\340\1\17\2\377\201\3\370\1"..., 770) = 770
read(4, "\0\0\0\3\360\0\0\0?\300\372\0\1?\300\367\0\17\0\37\340"..., 4096) = 4096
write(1, "\0\17\360\0\0\0\0\1\200?\300\370\0\32\0?\300\0\0\0?\300"..., 149) = 149
write(1, "\377\0\0`\17\360\0\0\0\17\360\370\0\1\37\200\373\0\"\7"..., 193) =
193write(1, "\0\0\0\17\340\0\0\0\0\1\374\314\0\2\0\0\17\340\0\4\0\0"..., 592) =
592write(1, "\36\fx<\17\377\"\3\3005~\17\6\36!\3\377?\4\1\377?[\1\340"..., 171)
= 171
write(1, "\17\37\5\7\33*b31W\37?\1\v\3\27\0\23\7\33\1\37\2\0\3?\34"..., 37) =
37write(1, "\7\37\5\3\33*b17W\37`\340\17\34\37k8\37\37\340\v\37?\210"..., 283) = 283
write(1, "\7?\f?\300,\7\374\3\37$\1\376*\37\3605\7\370&\37\3604\377"..., 1024) =
1024
write(1, "\370b?\0\37\200a\7\340\3\337\5\7!\1\370f\1\370\0\374\10"..., 536) = 536
write(1, "\340\1\376!\1\377\2\300\n", 9) = 9
write(1, "\376!\1\370\2>\2|\1\0\3\177\"\37\316\2\340!\3\370\1\7\""..., 289) = 289
write(1, "\300&\17\340\n", 5)           = 5
write(1, "\374!\0\374\2|\2>\2\177\2?\"\17\314$\7\360\'\37\300!\3"..., 444) =
444write(1, "\200\22\360\2~!\1\370\"\37\200\10\330$\17\300\1\1*\1\370"..., 138)
= 138
write(1, "\300\4\374\1\7\33*b148W\37D\300\1\376\2?\f\0015\7\360\r"..., 279) = 279
write(1, "\377\1\7\4\200\1\376\1\0\n", 10) = 10
read(4, "\7\200$\0p)\17\340\0018\5\17\2\377\2\200\16\340:\37\300"..., 4096) = 4096
write(1, "\200\33*b77W\37E\1\16?!\3\374\1\16\0208\37\7\200$\0p)\17"..., 259
<unfinished ...>
[root@mofo docs]# ls -l /proc/2223/fd
total 0
lr-x------    1 lp       lp             64 Apr 19 12:02 0 ->
/var/spool/lpd/lp/dfA207mofo.meme.com
l-wx------    1 lp       lp             64 Apr 19 12:02 1 -> /dev/printers/0
l-wx------    1 lp       lp             64 Apr 19 12:02 2 -> pipe:[437124]
lr-x------    1 lp       lp             64 Apr 19 12:02 4 ->
pipe:[437165][root@mofo docs]# strace -fp 2220
wait4(-1,  <unfinished ...>
[root@mofo docs]# strace -fp 2221
write(4, "b(,)25 b(b)s(eliev)m(e)g(that)h("..., 62 <unfinished ...>
[root@mofo docs]# ls -l /proc/2221/fd
total 0
lr-x------    1 lp       lp             64 Apr 19 12:01 0 ->
/var/spool/lpd/lp/dfA207mofo.meme.com
l-wx------    1 lp       lp             64 Apr 19 12:01 1 -> /dev/printers/0
l-wx------    1 lp       lp             64 Apr 19 12:01 2 -> pipe:[437124]
l-wx------    1 lp       lp             64 Apr 19 12:01 4 -> pipe:[437163]
[root@mofo docs]# strace -fp 2222
wait4(2224,  <unfinished ...>
[root@mofo docs]# strace -fp 2223
write(1, "b10W\202\0\314\0\4\0\0\37\377\376\33*b10W\202\0\314\0\4"..., 290) = 290
write(1, "\370\37\2?\7\340\36\177\33*b20W?Z\7\374\30\1\25\34\37\20"..., 33) =
33write(1, "\17\33*b24W?Z\3\376,\37\340,\3\3706\177\200?5\177\2003"..., 935) =
935write(1, "|!\17\200B\343\207\370\10\3!\0\374C\343\207\370a\17\300"..., 520) = 520
write(1, "\376\2~\2\177\2\374\5\200\1\36&~\340$\1\374\2\37\202?\0"..., 146) = 146
write(1, "\300\v\177\"\360\0\2\360!\37\300\10\7\3\370\2\354\3\377"..., 92) = 92
write(1, "\370\2?\2\376\2\376\7\16(?\0\t~\1\3\4\340+\17\300!\0\374"..., 196) = 196
write(1, "\300)\200\0!\37\300\16\300\v\37\3\376\2\370\1\0\2\200\3"..., 312) = 312
write(1, "\374\37\26~\37\t\3\35\377\2\177\n", 12) = 12
write(1, "\377\33*b57W\37[\177\4\377\2\17\1\376\37\v\7\4\370\6\0"..., 61) = 61
write(1, "\0\2\340\33*b63W\37\\\340\2\37\3\7!\377\200\37\27\177\1"..., 291) = 291
write(1, "\0\2\200\33*b51W\37H\1\3\3761\177\0\4\0\1\374\37\30\17"..., 287) =
287write(1, "\37\16\7\4p\36\376\2\343\7\340\5\360\32\376\v\340\21\7"..., 22) = 22
write(1, "\7\33*b56W\37I?\2\360\16\177!\7\360\4<?\r\1\374\"\17\340"..., 257) = 257
write(1, "\300\20\3\5\36\n", 6)         = 6
write(1, "\374\3\0\1~\2\16\10\0\22|2\7\340!\1\370(\300\1\r\1\3\177"..., 226) = 226
write(1, "\300\1\36\7\1\2\1\n", 8)      = 8
write(1, "\377\4\7\2\370!\3\300\7\7\33*b113W?Z\37\374\4\35\3\200"..., 32) = 32
write(1, "\300!\337\340\7\1\"\7\0(\37\200\1~\10\370\2\200\16\376"..., 28) = 28
read(4, "\237\377\203\377\377`\341\377\377\360\1~\1<\2?a\200\17"..., 4096) = 4096
write(1, "\377!\1\374\"\37\300\0018\5\340\1\36,\7~\10\360/\1\370"..., 1024) = 1024
write(1, "*b14W\202\0\202\0\373\0\6\0\0\370\0\0\17\360\33*b3M\33"..., 389) =
389write(1, "\7*\177\3\37\r?\37,\177\31\3\37\36\7\t\3\33*b21W?Z?\340"..., 28) = 28
write(1, "\3\n", 2)                     = 2
write(1, "~\37\16\37\37,?\31\1\37\36\3\t\1\33*b21W?Z\17\360\25\376"..., 232) = 232
write(1, "\376\36\3\r\37\37\20\37\37%\376\33*b70W\37Z\3(\177\300"..., 1024) = 1024
write(1, "\7\374\1\37\3\374!\37\200\1\200\1|\1\17B\3\360\1\242\200"..., 849) = 849
write(1, "\376\1\0\1\340\33*b52W?Y\1\370)\7\0=\7\0004\7\0.\0\376"..., 137) =
137write(1, "\370\7\0\6\300\4\377\t\177\t\370\1\340\r\360\10\340\5\370"..., 102)
= 102
write(1, "\203\340_\5\7\363\300V\3\377\300\22\376\n", 14) = 14
write(1, "\0)\17\377[\3\377\300\33*b43W\37[\300\5?\36?\37\"\374,"..., 56) = 56
write(1, "\376\33*b54W\37Z\37\37\22\3\4\374\t?N?\200\16\t\1\4\376"..., 51) = 51
write(1, "\377\n", 2)                   = 2
write(1, "\7\1\377\32\1!\377\300\33*b66W\37[\340?\37\7\377\37\5\1"..., 176) = 176
write(1, "?\1\374&\377\0\232\300\0\0\0\0\2\360\4\7\2\374i\0\0\0\0"..., 180) = 180
read(4, "\300_\4\7\207\370\37\0\376\n\0\n\177R\6\0\0\33*b44W\37"..., 4096) = 4096
write(1, "\200\377\37\7\340\30\0&?\200\37\2\3e\3\376\17\300\23\0"..., 180) =
180write(1, "\0\n", 2)                     = 2
write(1, "\177R\6\0\0\33*b44W\37I\177\2\370\0371\7\37\6\37?\n", 24) = 24
write(1, "\37\340\2\200\16\377\v\377&\3\374\t\374\17\17\t\7\7\377"..., 20) = 20
write(1, "\200\5\340\6?\4\16\f\200\n", 10) = 10
write(1, "\17\33*b56W\37I?\2\360? \0\376\"\7\360&\1\374\21\375\v"..., 214) =
214write(1, "?\3\360\5\200-\17\360$\1\376\1\3\4\0\17\3\5\1\17\3\v\3"..., 34) = 34
write(1, "\300\t\1)?\200(\37\300(x\37\26\1\6\300#\3\374\33*b90W\37"..., 110) = 110
write(1, "\17\3\300\10\200\33*b93W?J?\360\16\7&\3\370\1\1\17\17+"..., 337) =
337write(1, "\360\2\0&\7~(\7\340!\37\374%\3\360!\17\376!\0\376\2\300"..., 1024)
= 1024
write(1, "\0\2\0\0\377\374\0\3\0\6\0\377\33*b41W\211\0\3\0\0\1\374"..., 1005) = 1005
write(1, "\377#\37\0/\177\300\1\1\3\177&\7\370*\7\360\"\17\3408\1"..., 337) = 337
write(1, "\0\2\0:\37\360\2\0\2>&\0\377?\6\0\0\37\32\0\33*b28W\37"..., 199) =
199write(1, "\1\10\7\3\340\2\3\10\374\10\7\6\340\30\37\3\200\2\16\10"..., 38) = 38
write(1, "\370\4\37\37\t\17\33*b28W\37\252\3\27\17\37\20\1\32p\30"..., 540) = 540
read(4, "?\0?C\341\341\360E\307\300~c\37\200\37\200\242\37\200\37"..., 4096) = 4096
write(1, "\177!\17\374a\1\370\37\200a\1\370\37\200\7\0!?\3706\37"..., 708) =
708write(1, "\200\257\0\37\377\0\7\360\342?\0\7\340\0?\307\0 \17\300"..., 619) = 619
write(1, "\334!\7\360\1\37\"\374\0&\377\377\4\200\2~\1\0\2~\1\0\203"..., 175) = 175
write(1, "\330%\200\0\17~\1\376\2\376\1\376\2\376%\377\200\2\0\3"..., 26) = 26
write(1, "\370\3\17\2\374\33\360\4\1\3\374\2\330\t\340\3?\2\360\27"..., 270) = 270
write(1, "\360/\0\17$\0\0/\7\370\3\7\2\3604\177\300P\0\177\200\""..., 177) =
177write(1, "\0\t\377\10\1C\0\3\370\"\7\360\2\200\2\300(?\300\1\0\20"..., 46) = 46
write(1, "\177\4\177%\1\377\4\7\1\3704?\340\7\200)\37\360#\0\177"..., 736) =
736write(1, "\360\1\340$\203\200$\177\0?\r\7\360\37\3\203\177\30\7\374"..., 247)
= 247
write(1, "\37\16\36\22<\1\300\33*b61W\37I\177\2\370\17\340\5\34\'"..., 48) = 48
write(1, "\360\33\17\3\376\17\0006\1\377$\377\200\10\370\20\374\33"..., 86) =
86write(1, "?\6>&\1\376\r\7\2\0\16\3\7\340&\37\340\10\0\6\0\7\3\20"..., 97) = 97
write(1, "\200\2\1\'\177\200\4\16\17>\f\0\23\17\16>\16\177C\360\7"..., 301) = 301
write(1, "\340\2\370!\3\360\2\374!\3\360\2\374\17\37\23~\2\16\1~"..., 77) = 77
write(1, "\376\16\377\2\7\1\1\27~\"\37\200\2\200\2\340\33*b129W?"..., 223) =
223write(1, "\360\1\7\"\1\370!\1\370!\1\370!\1\370B\374\3\200j\17\377"..., 172)
= 172
read(4, "\377#\7\340\1\360!\7\340\1\360!\7\376\"?\370\3\340!\7\340"..., 4096) = 4096
write(1, "\370!\17\340!\0\374!\3\360!\0\374!\3\360\22\3740\37\300"..., 1024) = 1024
write(1, "\360F\37\377\203G?\377\0a\0\177\377\200L\360\377\374b\0"..., 87) = 87
write(1, "\16C\37\377\200\"\37\370\6\300c\1\377\377\340\6\340#\0"..., 290) =
290write(1, "\0\6\0\0\0\0\0\17\360\0|\370\0\2\177\200\177\354\0\5\0"..., 657) =
657write(1, "\7\22\376_\1\177\377\340\4\3!\360\7?\1\3\370?\35\3\370"..., 827) =
827write(1, "\177\5\200\1?\10\7%\37\360\2|\33*b38W\37[\3\37L\17#\177"..., 114) = 114
write(1, "\17\3\300!\17\370\2>\33*b10W?\340\1\376&\3\200\37I\340"..., 154) =
154write(1, "\200\33*b31W\37[\37?X\17\360\2\0L\34?\300?\f\3\376?\22"..., 235) =
235write(1, "\7\1\343&\1\377\4\0\6\0G\1\377\374c\37\200\37\340#\1\376"..., 500)
= 500
read(4, "\"\3\360\1~\4\36\1\1!\0?!\0\37\241\0\17\377\200\3\370\1"..., 4096) = 4096
write(1, "|\1?{\17\0\17\300C\201\340~C?\1\363/\377\340\f\37i\7\200"..., 658) = 658
write(1, "\3\4\1\2\0\3\177!\17\370\2\340\1\376$\1\377\2\300\1>\30"..., 446) = 446
write(1, "|\31?\2\340\30\270!\17\340\2\300\1\7\2\7\3\370\"\200\1"..., 42) = 42
write(1, "\177\3\7\f\260\3\300\1\37\4|\v\374\2\177\3\200!\17\340"..., 86) = 86
write(1, "<\2\376\2\376#\7\340\2\300\3\1\3\374\6\1\5\374\5\7\7\1"..., 326) =
326write(1, "\376)\17\340%\340\0\t~\17\300\5\370\1?\3\374B\360\0\0\t"..., 85) = 85
write(1, "8\4\177\32\17m\1\300\3\374\17\0\n", 13) = 13
write(1, "\37!\1\376\2\0\1\370=\7\0\v\0001\0\37\6\300$\1\374)\3\200"..., 243) = 243
write(1, "\360\20\300\3\0\7\300\1\0\33\340\7\360\33*b63W\37j?\2\200"..., 101) = 101
write(1, "\376\10\0174\377\340,\0\7\6\376\4\0\1\300\t\374\4\1\34"..., 122) =
122write(1, "\374\4\17\5\0*\37\200+\37\377\16\37\1\374\25\377\3\377"..., 22) = 22
write(1, "\376\1<\'\37\377&\1\3772\17\377\22?\4\300\"\37\377\1\7"..., 288) =
288write(1, "|+\177\200h\0\0\0\0\3\3\2\300\177\4\360\0\0\0\v\177\1p"..., 247) =
247write(1, "\374!\1\377$\17\370/\0\377$\207\0008\1\374\"\340p\3\17"..., 88) = 88
write(1, "\0006\1\374%\0\17\32\7?\f\34\7%\0\177;?\200\37\1\17\3<"..., 281) =
281write(1, "\0\32x\4\36\6\300$\177\0\37\34\3\v\343&\177\0&\7\360\'"..., 264) =
264write(1, "\300\3\340\3\177\2\37\37\2\177-p\1\6\3\37\10\177\n", 19) = 19
write(1, "\300\3\377\2>\7\360\4\360\31\340\6|\4\17&?\300$\7\3703"..., 219) =
219write(1, "\177\22\7\3~\4\377!\200\376\33*b125W\37U\0\3\34\34\340"..., 258) =
258write(1, "\177\17\374\33*b170W\37V\177\2x\"\340\34\1\177\1\1)?\200"..., 107)
= 107
write(1, "\37\5\177\1\1\10\360!\7\200\6\370\4?\3\376\6\300$\7\340"..., 415) = 415
read(4, "\1\374A\341\374\360A\300\3\300\203\7\377\377\377\377\1"..., 4096) = 4096
write(1, "\177A\16?\16!?\340!\37\360!\3\360!?\376%\0\376\"\37\300"..., 818) = 818
write(1, "p*\7\230\204\3\377\360\17\370H\37\377\203g\3\370\7\360"..., 257) =
257write(1, "\0\30\0\0\0\0\0\177\200\3\340\374\0\6\0\0\0\3\374\3\370"..., 369) = 369
write(1, ">?\223\3\360\33*b17W?\230\3\340\37\"\300\37\'0\37\26\370"..., 104) = 104
write(1, "x\v\340\33*b19W\37\231\370\37!\3\37(\340\37\n", 20) = 20
write(1, "\370\n", 2)                   = 2
write(1, "\3\37\205\300\2\3\33*b21W?j\1\300\37\16x\37\"\0\37\'\300"..., 153) = 153
write(1, "\36\177\3\1\377\377\360\3?\1\376?X\0\374\"?\0\33*b24W?"..., 40) = 40
write(1, "\3\v<\37\205?\2\374\33*b22W?i\37\370\37\17\3\37!0\37\'"..., 60) = 60
write(1, "p\177\3\0\0\0\0C\0\0\0\177Y\3\377\377\300\33*b19W?i\0\0"..., 71) = 71
write(1, "\200\33*b10W\37\232\0?\221\3\0)\0\0\33*b23Y\33*b4W?W\1"..., 481) =
481write(1, "\1\3~\2\375\2\177\33*b12W\37a\260\4?+\3\360\2?\3\200\33"..., 629) = 629
write(1, "\177?*\1\374/\17\340H\3\377\300\33*b77W\337a?\377\377\377"..., 241) = 241
write(1, "\1\16\1!\340\0#\7\376\37\1\340\22\7/\0?)\376\17\33*b50"..., 63) = 63
read(4, "\370A\17\300\374!\3\377!\177\340\33*b214W\37p|\1\36a\1"..., 4096) = 4096
write(1, "\0N\0\177\200\37\32\3\20\37(\1\374\33*b40W?f\3\374\37\2"..., 1024) = 1024
write(1, "\1\370\17\300C\374\7\340\1\377A\177\377\340c\7\377\377"..., 1024) = 1024
write(1, "\37\374!\7\360\1\1\"\1\370\1~\"\17\300\1\360\"?\300!\37"..., 140) = 140
write(1, "|%\37\230\2\314$\17\200!\7\300!\7\360\4\3\3\340\1\0\1<"..., 110) =
110write(1, "\177\2\374\4\300(\3\340!\1\360!\7\356\33*b182W\37j\376"..., 433) =
433write(1, "\374\4\37\2\177(?\200\2\374\4\0173\3\370\1\0\21\340\n", 20) = 20
write(1, "\1\2\360\7\300\1\1%\17\340\2\200!\177\0\1\374\5\34\3\200"..., 49) =
49write(1, "\300\v\1\4\340\"\200\0\4?\10\377&\3\370!\7\360*\37\300"..., 79) = 79
write(1, "\370-\7\360\5\370\4\37\17\200\30\300*\0\376\1\340\36<\5"..., 165) = 165
write(1, "?\2\0\4\17b\0\0\37\300\"?\200\1\374\2\376(\1\376\1\0\21"..., 40) = 40
write(1, "\3\3\0\2\0\4\0\t\300*\1\374\"\3\370\1\0\4?\n", 20) = 20
write(1, "\360-\0\0\5\360\4?\17\0\7\376\20\200K\177\203\300\22\177"..., 97) =
97write(1, "\17\4\3!\17\0\20\360\33*b65W\37e\16D\7\363\300\3\0?\10"..., 161) =
161write(1, "?\4\300\22?\177\0\17\340\3\200\r\1\4\376\1\377\n", 18) = 18
write(1, "\7\1\377\27\377\22\3\4\374\"\1\377\2\177:\17\377\10\177"..., 30) = 30
write(1, "\177\t\376\n", 4)             = 4
write(1, "\177\4\200\33*b77W\37j\1\1\0g\377\377\377\377\37\1\7!\377"..., 134) = 134
write(1, "\1\10\374\5\340$\3\200\5\3#\377\343\10\377\33*b87W?g\7"..., 362) =
362write(1, "\360\1\340S\0\0\0\33*b71W\37g\17\"\1\357\02687\3\376?\37"..., 138)
= 138
write(1, "\1\4\3707\3\370\37\7\7_\1\17\37\300\6\377\5\17B\34\17\360"..., 97) = 97
write(1, "?\37\2\17\22\36\1\340\6\376\2\7\3\340\"\0\0$\0\0\5x\3\374"..., 57) = 57
write(1, "\200\5\340\6?\5~\22\34\0338\1\300\16\16,\201\300\7\300"..., 28) = 28
write(1, "\370\0048$\1\300\7p&\17\360\1\360\0038\10\370\33*b72W?"..., 38) = 38
write(1, "\7?\1\17\340\"\177\0/\1\374?\3\377x\17\177\"\3\370\7\17"..., 90) = 90
write(1, "\37\3\340\3\7\00383\3\374\23\3400\177p\25?\t8\3\37\10\1"..., 158) = 158
write(1, "\17\2\1\4\3#x\7\3~.\7\370\3\1\17\3000?\340\17?\3\360!\37"..., 70) =
70write(1, "\3C?\200\37#\340p$\300\37\2\376\t\17\3\374\33*b117W\37"..., 118) =
118write(1, "?\3\300\17\200\t\300\1\37\"\17\340\1\3\"\200\0*\7\340!"..., 105) =
105write(1, "\360\17\300\24\360\10\3\n", 8) = 8
write(1, "~\2<\t\377\v\37%\7\300\1\177)\177\200\4>\5\360.\177\0)"..., 254) =
254write(1, "\200\1x\2\374!\7\360\2\177\2\340\1?\2\340\n", 17) = 17
read(4, "\2p\t\0353\17\300!?\0\3;\"\1\370!\7\377\16\376\'\1\337"..., 4096) = 4096
write(1, "\1\"\7\0\4~a\1\300\0\374!\3\360\f\360!\37\300#\7~\v\200"..., 1024) = 1024
write(1, "9W_p\17\377\300B\17\377\300C\177\376\0B\1\377\200h\0\177"..., 1024) = 1024
write(1, "2M\33*b40W\202\0\202\0\347\0\3\0\0\3\360\325\0\1\1\300"..., 72) = 72
write(1, "\0\0\0\1\377\340\0\0\0\17\377\33*b9W\202\0\202\0\267\0"..., 428) =
428write(1, "?9\1\360\1\0017\7\360!?\300\33*b47W\37T\340\17\1\3\177"..., 55) = 55
write(1, "\37\31\3\2\0007\17\340\1\177\33*b35W\37O\16\3\1?L\3\200"..., 231) = 231
write(1, "\17\31\0\r\7\33*b9W\37T~\37\377\30\177\3\16\33*b3W\37T"..., 58) = 58
write(1, "|4?\200\2\34\16\370\31\370\7\300\2\7\37\10\17\33*b3W\37"..., 49) = 49
write(1, "\374\37\7\1\31\1\10\340\37\v\37\33*b10W\37U\200?\377\27"..., 203) = 203
write(1, "\37\1\300S\37\377\200a\3\360\17\300a\37\200\37\340#?\377"..., 964) = 964
read(4, "?\17\17\341\0\7\340\0\374\0\17\363\0\203\241\0\177\216"..., 4096) = 4096
write(1, "\370\1\37c\341\340\17\300\33*b322W\37?\3ap\0\3748\1~\2"..., 533) =
533write(1, "\177\3\370!\7\340\2\370!\1\360\2\370!\1\360\t\0\2\376#"..., 211) =
211write(1, "?\3\360!\3\360!\1\360!\0\370!\1\360!\0\370\n", 19) = 19
write(1, "\177!\377\200\"?\340!\17\340\1\7C\300\3\370\4\177\5\37"..., 101) =
101write(1, "\375\2\177\7p!\37\370!\17\340\10\200\4\370!\17\340\v\340"..., 77) =
77write(1, "?\2\340\3\300!\7\360\2\340\1\17\2\360\16\200\20\17\3\360"..., 90) =
90write(1, "?\5\360\16\300\3\1\3\374\7\7\10\354\2\376\4\17\3\340\7"..., 56) = 56
write(1, "\37\2\370\3\200\4\17#\340\7\16?1\37\200!\1\370\2\354\33"..., 79) = 79
write(1, "\340?\7\3\370\1\0-?\200\2\374\'\37\300\1\0071\37\300%\37"..., 90) =
90write(1, "\374(\37\300%\300\0\n", 8)    = 8
write(1, "\7\17\0\t\300\2\340j\177\0\0\376\2\340\16\200\r\340#\7"..., 57) = 57
write(1, "\0\2\376\6\374&\17\340!\37\300j\177\0\0\376!\37\300\v?"..., 64) = 64
write(1, "8\25\7\t\360#\1\300\r?\t\300\'\0\340\10?\t8\4\177\37\0"..., 28) = 28
write(1, "?\'\7\0\r8!\7\0\33*b115W\37@\376\3\0\4\0\25\0000\1\360"..., 51) = 51
write(1, "\200\2\300\n", 4)             = 4
write(1, "\377\2\0\2\300\16\0\7\376\5\370#\0\0\5\360\2\370\10\360"..., 51) = 51
write(1, "\0\1\377%\1\376%\360\37\2\0\v\377\2\0\1\0,\177\0!\0\376"..., 174) = 174
write(1, "\376\21\177\n", 4)            = 4
write(1, "\370\20\177/\377\340\35\3\37\v\200\27\0\1\300$\0\377\1"..., 98) = 98
write(1, "\377\3\377\33*b89W\37J\37\25\177/?\340b\377\377\377\377"..., 155) = 155
write(1, "\37\3008?\25\37\340?\2?\360\33*b103W_I\3\374\0033\17\360"..., 240) = 240
write(1, "\17\340p?7\17\360\33*b54W?I\177\0003\1\3740\201\374\33"..., 356) =
356write(1, "\1\n", 2)                     = 2
write(1, "\7\n", 2)                     = 2
write(1, "\340\4\360\37!\370\n", 7)     = 7
write(1, "\17%\201\300\n", 5)           = 5
write(1, "\300\n", 2)                   = 2
write(1, "?\n", 2)                      = 2
write(1, "\340\5\300\f8\2\0\36\376K\3\371\300\32\377\37\4\300\33"..., 178) =
178write(1, "\177\"\3\201\33*b53W?W\1\3408\17\360!?\200\16\177\22\370"..., 97) =
97write(1, "\1Ox\3\370\37\7?\2\7\31\36\5\300\6\177\17\360\4\37\v?\n"..., 23) = 23
write(1, "\360\7\17\2|\37\4\7\37\6\374\1\7\3~\1\7\3~\n", 20) = 20
write(1, "\200\3\200$\7\370%\360\7\3\360\n", 12) = 12
write(1, "?\2\7\3\1\n", 6)              = 6
write(1, "\37\3\370\'\3\374\33*b105W\37W\17\32\370\1\37\3\200\v?"..., 97) = 97
write(1, "\300\2\37\3\300\2\360\1\7\3\340\4\340\16\1-\17\300!\3\360"..., 86) = 86
write(1, "~\2<\5\3402\3\360\1\1\6\200\3\3\t\3#\3\360\1\1\v~\25\0"..., 391) =
391write(1, "\370\2~\3\360!\37\300!\1\374\"\200\0\"\3\200\n", 18) = 18
read(4, " \1\370\1\360\5\177\1\374\1<a?\377\377\340\341\7\340\3"..., 4096) = 4096
write(1, "\7\2\34#\7~)\3\360!\17\300\33*b350W??\1\377\"\377\200a"..., 1024) = 1024
write(1, "\200C\17\377\300E\340\377\374B\0\377\300\201\3\377\360"..., 231) =
231write(1, "\0\0\0\3\374\0\0\0\0\1\376\374\0\16\0\300\37\340\0\0\0"..., 247) =
247write(1, "\0\0\30\0\17\370\0\0\0?\200\33*b3M\33*b10W\37T~\37\377"..., 289) =
289write(1, "\3760\17\340)\1\374?\27\3\370?\f\17\340?0\1\374?\33?\200"..., 50) =
50write(1, "\1770\7\377\n", 5)            = 5
write(1, "\377?\27\1\377?\f\7\377\0371\377?\33\37\377?<?\377/\3\377"..., 76) = 76
write(1, "\0030\0?\n", 5)               = 5
write(1, "\7\26|?\0\0\17?\f\0?\0371\7\37\33\0\37=\0010\0\37\33*b"..., 43) = 43
write(1, "\1\21\37\n", 4)               = 4
write(1, "\0035\1\374\37\1\7\37\r\37\0371\3\37\34\177-\377\200\37"..., 44) = 44
write(1, "\0\21\17\n", 4)               = 4
write(1, "\1\25\7\37\2\3\37\r\17\0371\1\37\34?\37=\177\20\7\33*b"..., 421) =
421write(1, "\17\370\3?\3\7%\177\200\21\1\10\177$\3\374+\37\340#\7\374"...,
1024) = 1024
write(1, "p\0\377E\36\0\374\v\17!\3\360\v~\1?\243\17\0~\7\200?c\367"..., 866) = 866
write(1, "\3\3\340!?0\2\230$\7\374!\1\374.\37\0!\17\200\10\370\2"..., 241) =
241write(1, "<\2\376\2\376#\7\340\2\300\3\1\3\374\6\1(\7\340\2~\7~\2"..., 103) = 103
read(4, "\377\10\17\2\16\10x!\1\374\2~B\370\1\200\1\177$\3\370\1"..., 4096) = 4096
write(1, "\1\t\340\5\374\5~\"\7\340#\37\200\4\7C\360\1\370\2?\24"..., 236) =
236write(1, "\17\3\177!\17\340\3\1\v?)\17\340\27\200\2\300.\1\374(\37"..., 55) =
55write(1, "\360\25\370\16\377\6\340\1\376\3\360\"\300\0\n", 15) = 15
write(1, "\7\30\200-\17\340\23\300\2\340\t\200\r\376\3\360\7\7D\200"..., 414) = 414
write(1, "?\37\2\300\v?\22\37,\3\374\5\377%\377\340\1\17=\377\200"..., 80) = 80
write(1, "\3\377I?\200\16\17?\4\300*\17\377\10\37\4\340\1\376\1<"..., 159) =
159write(1, "\3\377L\377\377\377?\22\1\377\33*b68W\37S\376\1\360\6\375"..., 139)
= 139
write(1, "\37\1\34g\300\0\0\0003?\300\20\177\1pb\300\0\0\0%\17\360"..., 61) =
61write(1, "\7\2\0&\177\200l\300\0\0\0?\21?\300\33*b54W\37?\7\6\370"..., 347) = 347
write(1, "\1\1\34&?\200\6\16#\1\300\30p\7\0343\37\300\33*b88W??\1"..., 57) = 57
write(1, "\37\10\37\4\2003\200\17\4\300\5\37\22\17,\7\370\5\177\4"..., 332) = 332
write(1, "\200\4\7\17\16\6\1\23\201I\1\300?\37\16\7\21\300\1\1\1"..., 23) = 23
write(1, "8\35\0\10\367\0068\22\34(\17\360\t\340\3|\4\0160\177p\10"..., 143) = 143
write(1, "\7\3~\4\377!\200\376\10\3!\37\300\v\377\37\1\17\t\37\7"..., 27) = 27
write(1, "x\4\7\3~\f\177\6\376\1\3\4\0\tx\7\37\n", 18) = 18
write(1, "<(\37\340\10\1\1|\7\0360?\340\6\360-\1\376%?\300\1~\3\340"..., 106) = 106
write(1, "\3\3p$\3\360\2\374\20\360\2\374!\1\370\2~\"\3\376\2\3\3"..., 66) = 66
write(1, "\1\5\300\37\0\3\3p\v\370\2\376\16?\"\17\300\'\1\370\2~"..., 1024) = 1024
write(1, "\377\17\377\377\200`\3\360\1\340\1\17\2\377\201\3\370\1"..., 770) = 770
read(4, "\0\0\0\3\360\0\0\0?\300\372\0\1?\300\367\0\17\0\37\340"..., 4096) = 4096
write(1, "\0\17\360\0\0\0\0\1\200?\300\370\0\32\0?\300\0\0\0?\300"..., 149) = 149
write(1, "\377\0\0`\17\360\0\0\0\17\360\370\0\1\37\200\373\0\"\7"..., 193) =
193write(1, "\0\0\0\17\340\0\0\0\0\1\374\314\0\2\0\0\17\340\0\4\0\0"..., 592) =
592write(1, "\36\fx<\17\377\"\3\3005~\17\6\36!\3\377?\4\1\377?[\1\340"..., 171)
= 171
write(1, "\17\37\5\7\33*b31W\37?\1\v\3\27\0\23\7\33\1\37\2\0\3?\34"..., 37) =
37write(1, "\7\37\5\3\33*b17W\37`\340\17\34\37k8\37\37\340\v\37?\210"..., 283) = 283
write(1, "\7?\f?\300,\7\374\3\37$\1\376*\37\3605\7\370&\37\3604\377"..., 1024) =
1024
write(1, "\370b?\0\37\200a\7\340\3\337\5\7!\1\370f\1\370\0\374\10"..., 536) = 536
write(1, "\340\1\376!\1\377\2\300\n", 9) = 9
write(1, "\376!\1\370\2>\2|\1\0\3\177\"\37\316\2\340!\3\370\1\7\""..., 289) = 289
write(1, "\300&\17\340\n", 5)           = 5
write(1, "\374!\0\374\2|\2>\2\177\2?\"\17\314$\7\360\'\37\300!\3"..., 444) =
444write(1, "\200\22\360\2~!\1\370\"\37\200\10\330$\17\300\1\1*\1\370"..., 138)
= 138
write(1, "\300\4\374\1\7\33*b148W\37D\300\1\376\2?\f\0015\7\360\r"..., 279) = 279
write(1, "\377\1\7\4\200\1\376\1\0\n", 10) = 10
read(4, "\7\200$\0p)\17\340\0018\5\17\2\377\2\200\16\340:\37\300"..., 4096) = 4096
write(1, "\200\33*b77W\37E\1\16?!\3\374\1\16\0208\37\7\200$\0p)\17"..., 259
<unfinished ...>
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
At this point the printer suddenly starts printing!
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
[root@mofo docs]# ls -l /proc/2223/fd
total 0
lr-x------    1 lp       lp             64 Apr 19 12:02 0 ->
/var/spool/lpd/lp/dfA207mofo.meme.com
l-wx------    1 lp       lp             64 Apr 19 12:02 1 -> /dev/printers/0
l-wx------    1 lp       lp             64 Apr 19 12:02 2 -> pipe:[437124]
lr-x------    1 lp       lp             64 Apr 19 12:02 4 -> pipe:[437165]

Yup, another strace -fp 2223 has more pages print after it hangs.

here's ps axfwww
 8813 ?        S      0:00 lpd Waiting  
 2208 ?        S      0:00  \_ lpd (Server) 'lp'
 2209 ?        S      0:00      \_ lpd (Worker - Print) 'lp'
 2210 ?        S      0:00          \_ /bin/bash
/usr/share/printconf/util/mf_wrapper -Aroot@mofo+207 -CA
-D2002-04-19-11:46:20.805 -Ff -Hmofo.meme.com -Jgrub.ps -Ngrub.ps -Plp -Qlp
-a/var/spool/lpd/lp/lp.acct -b433521 -d/var/spool/lpd/lp -edfA207mofo.meme.com
-fgrub.ps -hmofo.meme.com -j207 -kcfA207mofo.meme.com -l66 -nroot -sstatus
-t2002-04-19-11:46:20.000 -w80 -x0 -y0 /var/spool/lpd/lp/lp.acct 2220 ?        S
     0:00              \_ /bin/bash
/usr/share/printconf/util/mf_postscript_wrapper --mfomatic ljet4-62816.foo
 2221 ?        S      0:00                  \_ /usr/bin/perl /usr/sbin/lpdomatic
--lprng ljet4-62816.foo
 2222 ?        S      0:00                      \_ /usr/bin/perl
/usr/sbin/lpdomatic --lprng ljet4-62816.foo
 2224 ?        S      0:00                          \_ sh -c foomatic-gswrapper
-q -dBATCH -dSAFER -dNOPAUSE -sDEVICE=ljet4 -sOutputFile=- - | perl -e "while
(\$line = <>) { my \$b = \"\"; \$match |= ( \$line =~ s/\x1b&l\d+A/\$&\$b/ );
\$line =~ s/\x1b&l0H/\$b/g; print \$line }"
 2225 ?        S      0:00                          |   \_ sh -c gs '-dBATCH'
'-dSAFER' '-dNOPAUSE' '-sDEVICE=ljet4' '-sOutputFile=/dev/fd/3' '-' 3>&1 1>&2
 2227 ?        S      0:04                          |   |   \_ gs -dBATCH
-dSAFER -dNOPAUSE -sDEVICE=ljet4 -sOutputFile=/dev/fd/3 -
 2226 ?        S      0:00                          |   \_ perl -e while ($line
= <>) { my $b = ""; $match |= ( $line =~ s/\x1b&l\d+A/$&$b/ ); $line =~
s/\x1b&l0H/$b/g; print $line }
 2223 ?        S      0:21                          \_ /usr/bin/perl
/usr/sbin/lpdomatic --lprng ljet4-62816.foo

[root@mofo docs]# strace -fp 2224      
wait4(-1,  <unfinished ...>
[root@mofo docs]# strace -fp 2225 
wait4(-1,  <unfinished ...>
[root@mofo docs]# strace -fp 2226
write(1, "?B?\360_\23\1\377\207\25\3\37\0\3\2\300\10\7\2\200\33*"..., 4096
<unfinished ...>
[root@mofo docs]# strace -fp 2227 
write(4, "\1>G\274\0~\2\37!\7\340!\3\340\1~\1>\1\7k\7\340\3\360B"..., 4096
<unfinished ...>
[root@mofo docs]# ls -l /proc/2227/fd
total 0
lr-x------    1 lp       lp             64 Apr 19 12:13 0 -> pipe:[437163]
l-wx------    1 lp       lp             64 Apr 19 12:13 1 -> pipe:[437124]
l-wx------    1 lp       lp             64 Apr 19 12:13 2 -> pipe:[437124]
l-wx------    1 lp       lp             64 Apr 19 12:13 3 -> pipe:[437167]
l-wx------    1 lp       lp             64 Apr 19 12:13 4 -> pipe:[437167]

Yup, tried it again, strace -fp on 2223 definately un-hangs
the printer.
Comment 6 kop 2002-04-19 14:32:46 EDT
Sorry, seem to have pasted the strace twice in that last post. (There's
some sort of galeon bug where pastes don't show...) :(

Anyhow.  I've left the job sitting, stalled, and it eventually 
got removed from the queue.  FYI, here's from status.lp.
(Note timestamps.)

IF filter 'mf_wrapper' filter msg - 'Loading NimbusSanL-Regu font from
/usr/share/fonts/default/Type1/n019003l.pfb... 2680988 1269462 1642520 335588 0
done.' at 2002-04-19-11:46:22.842 ## A=root@mofo+207 number=207 process=2209
IF filter 'mf_wrapper' filter problems, error 'JTIMEOUT' at
2002-04-19-13:26:22.841 ## A=root@mofo+207 number=207 process=2209
printing finished at 2002-04-19-13:26:22.850 ## A=root@mofo+207 number=207
process=2209
accounting at end at 2002-04-19-13:26:22.850 ## A=root@mofo+207 number=207
process=2209
finished 'root@mofo+207', status 'JTIMEOUT' at 2002-04-19-13:26:22.867 ##
A=root@mofo+207 number=207 process=2209
subserver pid 2209 exit status 'JTIMEOUT' at 2002-04-19-13:26:22.943 ## A=<NULL>
number=0 process=2208
job 'cfA207mofo.meme.com' error 'aborting operations' at 2002-04-19-13:26:22.943
## A=<NULL> number=207 process=2208
removing job 'cfA207mofo.meme.com' - ABORT at 2002-04-19-13:26:22.944 ##
A=<NULL> number=207 process=2208
Comment 7 Laurence Tyler 2002-06-06 10:13:54 EDT
I too have this exact same problem. I am running RH 7.2 and a HP LaserJet 1100
printer using the ljet4 driver.
Sometimes I am unable to print even a two page file successfully! I have saved
as much information about a hang as I can (lpq, ps and lsof output), and can
send it to you if it would be useful. I can confirm that trying to 'strace' the
third perl process (the one just before 'sh -c foomatic-gswrapper...')
*consistently* unjams the printing process - but often only for a page, then it
hangs again until the next 'strace'. Suggests something screwy going on with
signals, file I/O and perl....

Please let me know if (and how) you would like the information I have saved.
Comment 8 Tim Waugh 2002-06-19 06:12:12 EDT
Could someone please post a pointer to (or attach) a PostScript file that  
triggers this?  Thanks. 
 
lgt@dmu.ac.uk: if you still have that information, please do attach it.
Comment 9 Laurence Tyler 2002-06-20 10:43:25 EDT
Created attachment 61825 [details]
Output of 'lpq' with a stuck print job
Comment 10 Laurence Tyler 2002-06-20 10:44:39 EDT
Created attachment 61827 [details]
Output of 'lsof' while print job hung. Irrelevant processes edited out.
Comment 11 Laurence Tyler 2002-06-20 10:45:44 EDT
Created attachment 61828 [details]
Process listing with stuck job. Maximum line length.
Comment 12 Laurence Tyler 2002-06-20 10:49:52 EDT
Created attachment 61829 [details]
Postscript print job that (usually) causes problems. (Was 'zz.ps')
Comment 13 Tim Waugh 2002-06-20 11:02:22 EDT
Thanks. 
 
To try to rule out kernel printer driver problems, please do the following: 
 
1. touch /tmp/lp0 
2. chown lp.lp /tmp/lp0 
3. Adjust the print queue to use a custom device and set it to '/tmp/lp0'. 
4. Try to print something. 
5. See if the job completes. 
6. If so, 'cat /tmp/lp0 > /dev/lp0' 
Comment 14 kop 2002-06-20 11:42:25 EDT
Created attachment 61886 [details]
Postscript file that causes printer to hang
Comment 15 kop 2002-06-20 12:40:04 EDT
Followed your directions to print to /tmp/lp0 and then cat to /dev/lp0.

perlfunc.ps prints without hanging, both to the file and then to the
printer.
Comment 16 Tim Waugh 2002-07-03 11:13:48 EDT
Huh. 
 
It's a shot in the dark, but you could please change any occurrences of '=0' 
to '#0' in /etc/printcap and see if that has any effect?
Comment 17 kop 2002-07-03 13:39:10 EDT
I thought at first something had changed.  It hung twice, but only for a minute
or two, in the first 7 pages.  Its never started back up by itself before.  But
now it's hung forever.  (This was "man -t perlop | lpr", which I haven't tried
to print before either.)
Comment 18 Tim Waugh 2002-07-10 10:59:27 EDT
Created attachment 64606 [details]
/usr/share/printconf/util/jetdirectprint
Comment 19 Tim Waugh 2002-07-10 11:00:42 EDT
Just to rule something else out, please put the file I just attached in 
/usr/share/printconf/util/jetdirectprint --- overwrite the file that's already there.  Make it 
executable with 'chmod a+x ...'.
Comment 20 kop 2002-07-10 12:36:54 EDT
Still hanging.  This time it seemed to pause for a minute or so after every page
but the first until it really hung...

FYI:

kop@mofo rdesktop-1.1.0]$ lpq
Printer: lp@mofo
 Queue: 1 printable job
 Server: pid 3022 active
 Unspooler: pid 3023 active
 Status: IF filter 'mf_wrapper' filter msg - 'Loading StandardSymL font from
/usr/share/fonts/default/Type1/s050000l.pfb... 3154196 1559002 1743000 383745 1
done.' at 10:48:21.444
 Rank   Owner/ID                  Class Job Files                 Size Time
1      root@mofo+12                 A    12 (STDIN)             157245 10:38:52


Comment 21 Tim Waugh 2004-12-08 08:54:28 EST
Is this still a problem?

Changing product to Fedora Core 3.
Comment 22 Dmitri A. Sergatskov 2005-02-17 20:33:23 EST
Yes. FC3, cups-1.1.22-0.rc1.8.5, printing to HP 8000 (JetDirect)
through a pipe (i.e. printing pdf in ggv) of rather large documents (>10
pages) more often then not hangs the print queue. Printing to the 
same printer via RH9 box (cups-1.1.17-13.3.0.3) looks fine (at least 
much better). 
Comment 23 Matthew Miller 2006-07-10 17:21:21 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 24 John Thacker 2006-10-29 15:48:34 EST
Closing per lack of response to previous comment.  FC3 and FC4 are supported for
security purposes only by Fedora Legacy.  If the bug is a security bug, please
reopen and assign to Fedora Legacy.  If the bug still occurs in FC5 or FC6,
please reopen and assign to the appropriate version.  Thank you.

Note You need to log in before you can comment on or make changes to this bug.